// nstesdoc.h : interface of the CNstestDoc class
//
/////////////////////////////////////////////////////////////////////////////

//	Forward declarations.
class CNstestSrvrItem;
class CNetscapeNetwork1;
class CNetscapeRegistry1;
class CDDEObject;

class CNstestDoc : public COleServerDoc
{
protected: // create from serialization only
	CNstestDoc();
	DECLARE_DYNCREATE(CNstestDoc)

// Attributes
public:
	CNstestSrvrItem* GetEmbeddedItem()
		{ return (CNstestSrvrItem*)COleServerDoc::GetEmbeddedItem(); }
// Operations
public:

// Implementation
public:
	virtual ~CNstestDoc();
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual COleServerItem* OnGetEmbeddedItem();
	virtual BOOL OnOpenDocument(const char *pszPathName);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	CStringList m_Display;
	void Display(const char *pString);
	
protected:
	virtual BOOL OnNewDocument();
	
//	Custom Variables
protected:
	CDDEObject *m_pDDE;
	CNetscapeNetwork1 *m_pOLENetwork1;
	CNetscapeRegistry1 *m_pOLERegistry1;

// Generated message map functions
protected:
	//{{AFX_MSG(CNstestDoc)
	afx_msg void OnWwwActivate();
	afx_msg void OnWwwCancelprogress();
	afx_msg void OnWwwExit();
	afx_msg void OnWwwGetwindowinfo();
	afx_msg void OnWwwOpenurl();
	afx_msg void OnWwwParseanchor();
	afx_msg void OnWwwRegisterprotocol();
	afx_msg void OnWwwRegisterurlecho();
	afx_msg void OnWwwRegisterviewer();
	afx_msg void OnWwwRegisterwindowchange();
	afx_msg void OnWwwShowfile();
	afx_msg void OnWwwUnregisterprotocol();
	afx_msg void OnWwwUnregisterurlecho();
	afx_msg void OnWwwUnregisterviewer();
	afx_msg void OnWwwUnregisterwindowchange();
	afx_msg void OnWwwVersion();
	afx_msg void OnWwwWindowchange();
	afx_msg void OnWwwListwindows();
	afx_msg void OnWwwQueryurlfile();
	afx_msg void OnOleNetwork1Bytesready();
	afx_msg void OnOleNetwork1Close();
	afx_msg void OnOleNetwork1Getcontentencoding();
	afx_msg void OnOleNetwork1Getcontentlength();
	afx_msg void OnOleNetwork1Getcontenttype();
	afx_msg void OnOleNetwork1Geterrormessage();
	afx_msg void OnOleNetwork1Getexpires();
	afx_msg void OnOleNetwork1Getflagfancyftp();
	afx_msg void OnOleNetwork1Getflagfancynews();
	afx_msg void OnOleNetwork1Getflagshowallnews();
	afx_msg void OnOleNetwork1Getlastmodified();
	afx_msg void OnOleNetwork1Getpassword();
	afx_msg void OnOleNetwork1Getserverstatus();
	afx_msg void OnOleNetwork1Getstatus();
	afx_msg void OnOleNetwork1Getusername();
	afx_msg void OnOleNetwork1Isfinished();
	afx_msg void OnOleNetwork1Open();
	afx_msg void OnOleNetwork1Read();
	afx_msg void OnOleNetwork1Resolve();
	afx_msg void OnOleNetwork1Setflagfancyftp();
	afx_msg void OnOleNetwork1Setflagfancynews();
	afx_msg void OnOleNetwork1Setflagshowallnews();
	afx_msg void OnOleNetwork1Setpassword();
	afx_msg void OnOleNetwork1Setusername();
	afx_msg void OnOleRegistry1Registerprotocol();
	afx_msg void OnOleRegistry1Registerviewer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CNstestDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
};

/////////////////////////////////////////////////////////////////////////////
